
From: Geert Uytterhoeven <geert@linux-m68k.org>

Amiga: Fix `debug=mem' (record all kernel messages in ChipRAM):
virt_to_phys() no longer works for Zorro II memory space, we must use
ZTWO_PADDR()



 arch/m68k/amiga/config.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/m68k/amiga/config.c~68k-374 arch/m68k/amiga/config.c
--- 25/arch/m68k/amiga/config.c~68k-374	2004-01-01 13:46:23.000000000 -0800
+++ 25-akpm/arch/m68k/amiga/config.c	2004-01-01 13:46:23.000000000 -0800
@@ -803,7 +803,7 @@ static void amiga_savekmsg_init(void)
     savekmsg = amiga_chip_alloc_res(SAVEKMSG_MAXMEM, &debug_res);
     savekmsg->magic1 = SAVEKMSG_MAGIC1;
     savekmsg->magic2 = SAVEKMSG_MAGIC2;
-    savekmsg->magicptr = virt_to_phys(savekmsg);
+    savekmsg->magicptr = ZTWO_PADDR(savekmsg);
     savekmsg->size = 0;
 }
 

_
